using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Ch05_All
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void buttonBasicDrawing_Click(object sender, EventArgs e)
        {
            (new ch05.Ch05MainForm(Program.AppContext)).ShowDialog();
        }

        private void buttonBrushes_Click(object sender, EventArgs e)
        {
            (new BrushesSample.MainForm()).ShowDialog();
        }

        private void buttonPens_Click(object sender, EventArgs e)
        {
            (new PensSample.MainForm()).ShowDialog();
        }

        private void buttonShapes_Click(object sender, EventArgs e)
        {
            (new ShapesSample.ShapesSampleForm()).ShowDialog();
        }

        private void buttonPaths_Click(object sender, EventArgs e)
        {
            (new PathsSolution.MainForm()).ShowDialog();
        }

        private void buttonImages_Click(object sender, EventArgs e)
        {
            (new ImagesSample.MainForm()).ShowDialog();
        }

        private void buttonBasicDrawing_MouseEnter(object sender, EventArgs e)
        {
            labelHelp.Text = toolTip1.GetToolTip((Control)sender);
            toolTip1.SetToolTip((Control)sender, "");
        }

        private void buttonBasicDrawing_MouseLeave(object sender, EventArgs e)
        {
            toolTip1.SetToolTip((Control)sender, labelHelp.Text); 
            labelHelp.Text = "";
        }
    }
}